package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.stock.StockBackDetails;
import com.fjhx.params.stock.StockBackDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-31
 */
public interface StockBackDetailsService extends BaseService<StockBackDetails> {

    Page<StockBackDetails> getPage(Map<String, String> condition);

    void add(StockBackDetailsVo stockBackDetailsVo);

    void edit(StockBackDetailsVo stockBackDetailsVo);

    void delete(StockBackDetailsVo stockBackDetailsVo);

    List<Map<String, Object>> picking(Condition condition);

    List<Map<String, Object>> returnMaterial(Condition condition);

    List<Map<String, Object>> correct(Condition condition);

}
